using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace IWS5.DatabaseAccess.IwsDataModels;

[Keyless]
[Table("ATCode")]
public partial class Atcode
{
    [Column("EventID")]
    public int EventId { get; set; }

    [Column("ProcessID")]
    public int ProcessId { get; set; }

    [StringLength(128)]
    public string? CodeName { get; set; }

    [StringLength(256)]
    public string? CodePath { get; set; }

    [StringLength(256)]
    public string? CodeArgs { get; set; }
}
